# Class OtpAuthException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.ericsson.otp.erlang.OtpException
com.ericsson.otp.erlang.OtpAuthException

All Implemented Interfaces:
  `Serializable`

public class OtpAuthException extends OtpException
Exception raised when a node attempts to establish a communication channel when it is not authorized to do so, or when a node sends a message containing an invalid cookie on an established channel.

See Also:
  - `OtpConnection`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OtpAuthException(String s)`
Provides a detailed message.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OtpAuthException

public OtpAuthException(String s)
Provides a detailed message.